org.apache.struts2.config_browser

## Class ListValidatorsAction

- java.lang.Object
- - org.apache.struts2.ActionSupport
  - - com.opensymphony.xwork2.ActionSupport
    - - org.apache.struts2.config_browser.ListValidatorsAction

- All Implemented Interfaces:
    LocaleProvider, TextProvider, Serializable, Action, ValidationAware, Validateable
  Direct Known Subclasses:
    ShowValidatorAction

      public class ListValidatorsAction
      extends ActionSupport

  ListValidatorsAction loads the validations for a given class and context
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `ValidationAware.LegacyAdapter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.ActionSupport

      `container`

    - ### Fields inherited from interface org.apache.struts2.action.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListValidatorsAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()`
    `String` | `getClazz()`
    `String` | `getContext()`
    `List` | `getValidators()`
    `String` | `index()` Index action to support cooperation with REST plugin
    `protected void` | `loadValidators()`
    `void` | `setActionValidatorManager(ActionValidatorManager mgr)`
    `void` | `setClazz(String clazz)`
    `void` | `setContext(String context)`
    `String` | `stripPackage(Class clazz)`
    `String` | `stripPackage(String clazz)`

    - ### Methods inherited from class org.apache.struts2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.struts2.Validateable

      `validate`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.ValidationAware

      `addActionError, addActionMessage, addFieldError, getActionErrors, getActionMessages, getFieldErrors, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, setActionErrors, setActionMessages, setFieldErrors`

- - ### Constructor Detail

    - #### ListValidatorsAction

          public ListValidatorsAction()

  - ### Method Detail

    - #### setActionValidatorManager

          public void setActionValidatorManager(ActionValidatorManager mgr)

    - #### getClazz

          public String getClazz()

    - #### setClazz

          public void setClazz(String clazz)

    - #### stripPackage

          public String stripPackage(Class clazz)

    - #### stripPackage

          public String stripPackage(String clazz)

    - #### getContext

          public String getContext()

    - #### setContext

          public void setContext(String context)

    - #### getValidators

          public List getValidators()

    - #### execute

          public String execute()
                         throws Exception

      Specified by:
        `execute` in interface `Action`
      Overrides:
        `execute` in class `ActionSupport`
      Throws:
        `Exception`

    - #### index

          public String index()
                       throws Exception

      Index action to support cooperation with REST plugin
      Returns:
        action result
      Throws:
        `Exception`

    - #### loadValidators

          protected void loadValidators()

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.